LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sheet::ReferenceFlags Constant Group Reference

defines flags for references. More...

## Variables
const long | COLUMN_RELATIVE = 1
| selects a relative column reference. More...
const long | COLUMN_DELETED = 2
| marks a deleted column reference. More...
const long | ROW_RELATIVE = 4
| selects a relative row reference. More...
const long | ROW_DELETED = 8
| marks a deleted row reference. More...
const long | SHEET_RELATIVE = 16
| selects a relative sheet reference. More...
const long | SHEET_DELETED = 32
| marks a deleted sheet reference. More...
const long | SHEET_3D = 64
| selects a 3D sheet reference. More...
const long | RELATIVE_NAME = 128
| marks a reference from a relative range name. More...

## Detailed Description

defines flags for references.

The values can be combined.

## Variable Documentation

## ◆ COLUMN_DELETED

const long COLUMN_DELETED = 2

marks a deleted column reference.

## ◆ COLUMN_RELATIVE

const long COLUMN_RELATIVE = 1

selects a relative column reference.

## ◆ RELATIVE_NAME

const long RELATIVE_NAME = 128

marks a reference from a relative range name.

## ◆ ROW_DELETED

const long ROW_DELETED = 8

marks a deleted row reference.

## ◆ ROW_RELATIVE

const long ROW_RELATIVE = 4

selects a relative row reference.

## ◆ SHEET_3D

const long SHEET_3D = 64

selects a 3D sheet reference.

## ◆ SHEET_DELETED

const long SHEET_DELETED = 32

marks a deleted sheet reference.

## ◆ SHEET_RELATIVE

const long SHEET_RELATIVE = 16

selects a relative sheet reference.